# Uses of Enum Class
org.apache.sysds.common.Types.DataType

Packages that use Types.DataType
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.codegen
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.rewrite
org.apache.sysds.lops
org.apache.sysds.lops.compile
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.einsum
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.io
org.apache.sysds.runtime.iogen
org.apache.sysds.runtime.lineage
org.apache.sysds.runtime.util

## Uses of Types.DataType in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.DataType
Modifier and Type
Method
Description
`static Types.DataType`
Types.DataType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.DataType[]`
Types.DataType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.common with parameters of type Types.DataType
Modifier and Type
Method
Description
`static String`
Builtins.`getInternalFName(String name, Types.DataType dt)`

## Uses of Types.DataType in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.DataType
Modifier and Type
Method
Description
`Types.DataType`
Hop.`getDataType()`
Methods in org.apache.sysds.hops with parameters of type Types.DataType
Modifier and Type
Method
Description
`static Lop`
BinaryOp.`constructSPAppendLop(Hop left, Hop right, Types.DataType dt, Types.ValueType vt, boolean cbind, Hop current)`
`static long`
OptimizerUtils.`estimateSizeExactSparsity(long nrows, long ncols, double sp, Types.DataType dt)`
`void`
Hop.`setDataType(Types.DataType dt)`
Constructors in org.apache.sysds.hops with parameters of type Types.DataType
Modifier
Constructor
Description
``
`AggBinaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp2 innOp, Types.AggOp outOp, Hop in1, Hop in2)`
``
`AggUnaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.AggOp o, Types.Direction idx, Hop inp)`
``
`BinaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp2 o, Hop inp1, Hop inp2)`
``
`BinaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp2 o, Hop inp1, Hop inp2, boolean outer)`
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, String fname, long dim1, long dim2, long nnz, int blen)`
READ operation for Matrix w/ dim1, dim2.
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, String fname, long dim1, long dim2, long nnz, MatrixObject.UpdateType update, int blen)`
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, HashMap<String,Hop> params)`
READ operation for Matrix / SQL operation for tensor This constructor supports expressions in parameters
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, Hop in, HashMap<String,Hop> inputParameters)`
WRITE operation for Matrix This constructor supports expression in parameters
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Hop in, Types.OpOpData dop, String fname)`
``
`DnnOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpDnn o, ArrayList<Hop> inp)`
Create a hop from the builtin expression
``
`Hop(String l, Types.DataType dt, Types.ValueType vt)`
``
`IndexingOp(String l, Types.DataType dt, Types.ValueType vt, Hop inpMatrix, Hop inpRowL, Hop inpRowU, Hop inpColL, Hop inpColU, boolean passedRowsLEU, boolean passedColsLEU)`
``
`LeftIndexingOp(String l, Types.DataType dt, Types.ValueType vt, Hop inpMatrixLeft, Hop inpMatrixRight, Hop inpRowL, Hop inpRowU, Hop inpColL, Hop inpColU, boolean passedRowsLEU, boolean passedColsLEU)`
``
`MultiThreadedHop(String name, Types.DataType dt, Types.ValueType vt)`
``
`NaryOp(String name, Types.DataType dataType, Types.ValueType valueType, Types.OpOpN op, Hop... inputs)`
NaryOp constructor.
``
`ParameterizedBuiltinOp(String l, Types.DataType dt, Types.ValueType vt, Types.ParamBuiltinOp op, LinkedHashMap<String,Hop> inputParameters)`
Creates a new HOP for a function call
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV)`
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV, boolean flag1, boolean flag2)`
Constructor for wsigmoid.
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inW, Hop inU, Hop inV, boolean umult, Types.OpOp1 uop, Types.OpOp2 sop)`
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV, Hop inW, boolean post)`
Constructor for wsloss.
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inX, Hop inU, Hop inV, Hop inW, int baseType, boolean flag1, boolean flag2)`
``
`ReorgOp(String l, Types.DataType dt, Types.ValueType vt, Types.ReOrgOp o, List<Hop> inp)`
``
`ReorgOp(String l, Types.DataType dt, Types.ValueType vt, Types.ReOrgOp o, Hop inp)`
``
`TernaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp3 o, Hop inp1, Hop inp2, Hop inp3)`
``
`TernaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp3 o, Hop inp1, Hop inp2, Hop inp3, Hop inp4, Hop inp5, Hop inp6)`
``
`UnaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp1 o, Hop inp)`

## Uses of Types.DataType in org.apache.sysds.hops.codegen

Constructors in org.apache.sysds.hops.codegen with parameters of type Types.DataType
Modifier
Constructor
Description
``
`SpoofFusedOp(String name, Types.DataType dt, Types.ValueType vt, Class<?> cla, SpoofCompiler.GeneratorAPI api, String genVarName, boolean dist, SpoofFusedOp.SpoofOutputDimsType type)`

## Uses of Types.DataType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return Types.DataType
Modifier and Type
Method
Description
`Types.DataType`
CNode.`getDataType()`
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type Types.DataType
Modifier and Type
Method
Description
`void`
CNode.`setDataType(Types.DataType dt)`
Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type Types.DataType
Modifier
Constructor
Description
``
`CNodeData(String name, long hopID, long rows, long cols, Types.DataType dataType)`
``
`CNodeData(Hop hop, long rows, long cols, Types.DataType dt)`

## Uses of Types.DataType in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.DataType
Modifier and Type
Method
Description
`static boolean`
HopRewriteUtils.`checkInputDataTypes(Hop hop, Types.DataType... dt)`
`static Hop`
HopRewriteUtils.`createDataGenOpByVal(Hop rowInput, Hop colInput, Hop dimsInput, Types.DataType dt, Types.ValueType vt, double value)`
`static boolean`
HopRewriteUtils.`isData(Hop hop, Types.OpOpData type, Types.DataType dt)`

## Uses of Types.DataType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.DataType
Modifier and Type
Method
Description
`Types.DataType`
Lop.`getDataType()`
get data type of the output that is produced by this lop
Methods in org.apache.sysds.lops with parameters of type Types.DataType
Modifier and Type
Method
Description
`static SortKeys`
SortKeys.`constructSortByValueLop(Lop input1, Lop input2, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
`static SortKeys`
SortKeys.`constructSortByValueLop(Lop input1, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
`static Ctable.OperationTypes`
Ctable.`findCtableOperationByInputDataTypes(Types.DataType dt1, Types.DataType dt2, Types.DataType dt3)`
`void`
Append.`init(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt)`
`void`
AppendG.`init(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
`void`
AppendGAlignedSP.`init(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt)`
`void`
AppendM.`init(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
`void`
AppendR.`init(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
`String`
Lop.`prepOperand(String label, Types.DataType dt, Types.ValueType vt)`
Method to prepare instruction operand with given parameters.
`String`
Lop.`prepOperand(String label, Types.DataType dt, Types.ValueType vt, boolean literal)`
Method to prepare instruction operand with given parameters.
`void`
Lop.`setDataType(Types.DataType dt)`
set data type of the output that is produced by this lop
Constructors in org.apache.sysds.lops with parameters of type Types.DataType
Modifier
Constructor
Description
``
`Append(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, boolean cbind, Types.ExecType et)`
``
`AppendG(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, boolean cbind, Types.ExecType et)`
``
`AppendGAlignedSP(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, boolean cbind)`
``
`AppendM(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, boolean cbind, boolean partitioned, Types.ExecType et)`
``
`AppendR(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, boolean cbind, Types.ExecType et)`
``
`Binary(Lop input1, Lop input2, Types.OpOp2 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to perform a binary operation.
``
`Binary(Lop input1, Lop input2, Types.OpOp2 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`Binary(Lop input1, Lop input2, Types.OpOp2 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k, boolean inplace)`
``
`BinaryM(Lop input1, Lop input2, Types.OpOp2 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean colVector)`
Constructor to perform a binary operation.
``
`BinaryScalar(Lop input1, Lop input2, Types.OpOp2 op, Types.DataType dt, Types.ValueType vt)`
Constructor to perform a scalar operation
``
`BinaryUAggChain(Lop input1, Types.OpOp2 bop, Types.AggOp uaop, Types.Direction uadir, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to setup a map mult chain without weights
``
`CentralMoment(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, int numThreads, Types.ExecType et)`
``
`CentralMoment(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, int numThreads, Types.ExecType et)`
``
`Checkpoint(Lop input, Types.DataType dt, Types.ValueType vt, String level)`
``
`Checkpoint(Lop input, Types.DataType dt, Types.ValueType vt, String level, boolean isAsync)`
TODO change string parameter storage.level to StorageLevel as soon as we can assume that Spark libraries are always available.
``
`Compression(Lop input, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int singletonLookupKey, int numThreads)`
``
`CoVariance(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, int numThreads, Types.ExecType et)`
``
`CoVariance(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, int numThreads, Types.ExecType et)`
``
`CSVReBlock(Lop input, int blen, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`Ctable(Lop[] inputLops, Ctable.OperationTypes op, Types.DataType dt, Types.ValueType vt, boolean ignoreZeros, boolean outputEmptyBlocks, Types.ExecType et, int k)`
``
`Ctable(Lop[] inputLops, Ctable.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`CumulativeOffsetBinary(Lop data, Lop offsets, Types.DataType dt, Types.ValueType vt, double init, boolean broadcast, Types.AggOp op, Types.ExecType et)`
``
`CumulativeOffsetBinary(Lop data, Lop offsets, Types.DataType dt, Types.ValueType vt, Types.AggOp op, Types.ExecType et)`
``
`CumulativePartialAggregate(Lop input, Types.DataType dt, Types.ValueType vt, Types.AggOp op, Types.ExecType et)`
``
`Data(Types.OpOpData op, Lop input, HashMap<String,Lop> inputParametersLops, String name, String literal, Types.DataType dt, Types.ValueType vt, Types.FileFormat fmt)`
Constructor to setup read or write LOP In case of write: `input` must be provided.
``
`DataGen(Types.OpOpDG op, DataIdentifier id, HashMap<String,Lop> inputParametersLops, String baseDir, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Creates a new Rand-LOP.
``
`DeCompression(Lop input, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`DnnTransform(Lop input, Types.OpOpDnn op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k, double intermediateMemBudget)`
Constructor when we have one input.
``
`DnnTransform(Lop input1, Lop input2, Types.OpOpDnn op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`DnnTransform(Lop input1, Lop input2, Lop input3, Types.OpOpDnn op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`Federated(HashMap<String,Lop> inputLops, Types.DataType dataType, Types.ValueType valueType)`
``
`GroupedAggregate(HashMap<String,Lop> inputParameterLops, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`GroupedAggregate(HashMap<String,Lop> inputParameterLops, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean broadcastGroups)`
``
`GroupedAggregate(HashMap<String,Lop> inputParameterLops, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`GroupedAggregateM(HashMap<String,Lop> inputParameterLops, Types.DataType dt, Types.ValueType vt, boolean partitioned, Types.ExecType et)`
``
`LeftIndex(Lop lhsInput, Lop rhsInput, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`LeftIndex(Lop lhsInput, Lop rhsInput, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, Types.ExecType et, LeftIndex.LixCacheType type)`
``
`Local(Lop input, Types.DataType dt, Types.ValueType vt)`
``
`Lop(Lop.Type t, Types.DataType dt, Types.ValueType vt)`
Constructor to be invoked by base class.
``
`MapMult(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, boolean rightCache, boolean partitioned, boolean emptyBlocks, AggBinaryOp.SparkAggType aggtype)`
Constructor to setup a partial Matrix-Vector Multiplication for Spark
``
`MapMultChain(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to setup a map mult chain without weights
``
`MapMultChain(Lop input1, Lop input2, Lop input3, MapMultChain.ChainType chain, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to setup a map mult chain with weights
``
`MatMultCP(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`MatMultCP(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean isLeftTransposed, boolean isRightTransposed)`
``
`MatMultCP(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`MatMultCP(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k, boolean isLeftTransposed, boolean isRightTransposed)`
``
`MMCJ(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, boolean outputEmptyBlocks, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
``
`MMCJ(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, MMCJ.MMCJType type, Types.ExecType et)`
Constructor to perform a cross product operation.
``
`MMRJ(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to perform a cross product operation.
``
`MMTSJ(Lop input1, Types.DataType dt, Types.ValueType vt, Types.ExecType et, MMTSJ.MMTSJType type)`
``
`MMTSJ(Lop input1, Types.DataType dt, Types.ValueType vt, Types.ExecType et, MMTSJ.MMTSJType type, boolean multiPass)`
``
`MMTSJ(Lop input1, Types.DataType dt, Types.ValueType vt, Types.ExecType et, MMTSJ.MMTSJType type, boolean multiPass, int k)`
``
`MMZip(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, boolean tRewrite, Types.ExecType et)`
``
`Nary(Types.OpOpN operationType, Types.DataType dt, Types.ValueType vt, Lop[] inputLops, Types.ExecType et)`
``
`ParameterizedBuiltin(HashMap<String,Lop> paramLops, Types.ParamBuiltinOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`ParameterizedBuiltin(HashMap<String,Lop> paramLops, Types.ParamBuiltinOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bRmEmptyBC)`
``
`ParameterizedBuiltin(HashMap<String,Lop> paramLops, Types.ParamBuiltinOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`PartialAggregate(Lop input, Types.AggOp op, Types.Direction direct, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`PartialAggregate(Lop input, Types.AggOp op, Types.Direction direct, Types.DataType dt, Types.ValueType vt, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
``
`PickByCount(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, PickByCount.OperationTypes op, Types.ExecType et)`
``
`PickByCount(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, PickByCount.OperationTypes op, Types.ExecType et, boolean inMemoryInput)`
``
`PMapMult(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt)`
``
`PMMJ(Lop pminput, Lop rightinput, Lop nrow, Types.DataType dt, Types.ValueType vt, boolean partitioned, boolean emptyBlocks, Types.ExecType et)`
Constructor to setup a Permutation Matrix Multiplication
``
`ReBlock(Lop input, int blen, Types.DataType dt, Types.ValueType vt, boolean outputEmptyBlocks, Types.ExecType et)`
``
`RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean forleft)`
``
`RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
``
`SortKeys(Lop input, boolean desc, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`SortKeys(Lop input1, Lop input2, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
``
`SortKeys(Lop input, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
``
`SpoofFused(ArrayList<Lop> inputs, Types.DataType dt, Types.ValueType vt, Class<?> cla, SpoofCompiler.GeneratorAPI api, String genVarName, int k, Types.ExecType etype)`
``
`Sql(HashMap<String,Lop> inputParametersLops, Types.DataType dt, Types.ValueType vt)`
``
`Tee(Lop input1, Types.DataType dt, Types.ValueType vt)`
Constructor to be invoked by base class.
``
`Ternary(Types.OpOp3 op, Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
``
`TernaryAggregate(Lop input1, Lop input2, Lop input3, Types.AggOp aggOp, Types.OpOp2 binOp, Types.Direction direction, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, boolean outputEmptyBlock, Types.ExecType et)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bSortIndInMem)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bSortIndInMem, int k)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`Transform(Lop input, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`Transform(Lop input, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bSortIndInMem)`
``
`Transform(Lop input, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`UAggOuterChain(Lop input1, Lop input2, Types.AggOp uaop, Types.Direction uadir, Types.OpOp2 bop, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to setup a unaryagg outer chain
``
`Unary(Lop input1, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads, boolean inplace)`
Constructor to perform a unary operation with 1 input.
``
`Unary(Lop input1, Lop input2, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
Constructor to perform a unary operation with 2 inputs
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt)`
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, int k)`
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
Constructor to perform a scalar operation
``
`WeightedCrossEntropy(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedCrossEntropy.WCeMMType wt, Types.ExecType et)`
``
`WeightedCrossEntropyR(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedCrossEntropy.WCeMMType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`
``
`WeightedDivMM(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedDivMM.WDivMMType wt, Types.ExecType et)`
``
`WeightedDivMMR(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedDivMM.WDivMMType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`
``
`WeightedSigmoid(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedSigmoid.WSigmoidType wt, Types.ExecType et)`
``
`WeightedSigmoidR(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedSigmoid.WSigmoidType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`
``
`WeightedSquaredLoss(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedSquaredLoss.WeightsType wt, Types.ExecType et)`
``
`WeightedSquaredLossR(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedSquaredLoss.WeightsType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`
``
`WeightedUnaryMM(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, Types.ExecType et)`
``
`WeightedUnaryMMR(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, boolean cacheU, boolean cacheV, Types.ExecType et)`

## Uses of Types.DataType in org.apache.sysds.lops.compile

Methods in org.apache.sysds.lops.compile with parameters of type Types.DataType
Modifier and Type
Method
Description
`static String`
Dag.`getNextUniqueVarname(Types.DataType dt)`

## Uses of Types.DataType in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Types.DataType
Modifier and Type
Method
Description
`static Types.DataType`
Expression.`computeDataType(Expression expression1, Expression expression2, boolean cast)`
Compute data type based on expressions.
`static Types.DataType`
Expression.`computeDataType(Identifier identifier1, Identifier identifier2, boolean cast)`
Compute data type based on identifiers.
`Types.DataType`
Identifier.`getDataType()`
Methods in org.apache.sysds.parser with parameters of type Types.DataType
Modifier and Type
Method
Description
`void`
Identifier.`setDataType(Types.DataType dt)`
Constructors in org.apache.sysds.parser with parameters of type Types.DataType
Modifier
Constructor
Description
``
`DataIdentifier(String name, Types.DataType dt)`
``
`DataIdentifier(String name, Types.DataType dt, Types.ValueType vt)`

## Uses of Types.DataType in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated that return Types.DataType
Modifier and Type
Method
Description
`Types.DataType`
FederatedData.`getDataType()`
`Types.DataType`
MatrixLineagePair.`getDataType()`
Constructors in org.apache.sysds.runtime.controlprogram.federated with parameters of type Types.DataType
Modifier
Constructor
Description
``
`FederatedData(Types.DataType dataType, InetSocketAddress address, String filepath)`
``
`FederatedData(Types.DataType dataType, InetSocketAddress address, String filepath, long varID)`

## Uses of Types.DataType in org.apache.sysds.runtime.einsum

Methods in org.apache.sysds.runtime.einsum that return Types.DataType
Modifier and Type
Method
Description
`static Types.DataType`
EinsumEquationValidator.`validateEinsumEquationNoDimensions(String equationString, int numberOfMatrixInputs)`
Methods in org.apache.sysds.runtime.einsum that return types with arguments of type Types.DataType
Modifier and Type
Method
Description
`static <HopOrIdentifier extends ParseInfo>
org.apache.commons.lang3.tuple.Triple<Long,Long,Types.DataType>`
EinsumEquationValidator.`validateEinsumEquationAndReturnDimensions(String equationString, List<HopOrIdentifier> expressionsOrIdentifiers)`

## Uses of Types.DataType in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return Types.DataType
Modifier and Type
Method
Description
`Types.DataType`
CPOperand.`getDataType()`
`Types.DataType`
Data.`getDataType()`
Methods in org.apache.sysds.runtime.instructions.cp with parameters of type Types.DataType
Modifier and Type
Method
Description
`boolean`
ListObject.`checkAllDataTypes(Types.DataType dt)`
`static Instruction`
VariableCPInstruction.`prepCreatevarInstruction(String varName, String fileName, boolean fNameOverride, Types.DataType dt, String format, DataCharacteristics mc, MatrixObject.UpdateType update)`
`static Instruction`
VariableCPInstruction.`prepCreatevarInstruction(String varName, String fileName, boolean fNameOverride, Types.DataType dt, String format, DataCharacteristics mc, MatrixObject.UpdateType update, boolean hasHeader, String delim, boolean sparse)`
Constructors in org.apache.sysds.runtime.instructions.cp with parameters of type Types.DataType
Modifier
Constructor
Description
``
`CPOperand(String name, Types.ValueType vt, Types.DataType dt)`
``
`CPOperand(String name, Types.ValueType vt, Types.DataType dt, boolean literal)`
``
`Encrypted(int[] dims, DataCharacteristics dc, byte[] data, Types.DataType dt)`

## Uses of Types.DataType in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io with parameters of type Types.DataType
Modifier and Type
Method
Description
`static InputOutputInfo`
InputOutputInfo.`get(Types.DataType dt, Types.FileFormat fmt)`

## Uses of Types.DataType in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return Types.DataType
Modifier and Type
Method
Description
`Types.DataType`
SampleProperties.`getDataType()`

## Uses of Types.DataType in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage with parameters of type Types.DataType
Modifier and Type
Method
Description
`static boolean`
LineageCache.`reuseFedRead(String outName, Types.DataType dataType, LineageItem li, ExecutionContext ec)`
Constructors in org.apache.sysds.runtime.lineage with parameters of type Types.DataType
Modifier
Constructor
Description
``
`LineageCacheEntry(LineageItem key, Types.DataType dt, MatrixBlock Mval, ScalarObject Sval, long computetime)`

## Uses of Types.DataType in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util with parameters of type Types.DataType
Modifier and Type
Method
Description
`static String`
HDFSTool.`metaDataToString(Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static String`
HDFSTool.`metaDataToString(Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties, String privacyConstraints)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics mc, Types.FileFormat fmt)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties, String privacyConstraints)`